global:
  registry: docker.io
  repository: freeleaps
  environment: prod
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-chat-dashboard
  title: Chat Service Dashboard (PROD)
  metricsPrefix: freeleaps_chat
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/chat/*.log
  logPath: /app/log/chat
chat:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: chat
    tag: 1.12.0
    imagePullPolicy: Always
  ports:
  - name: http
    containerPort: 8012
    protocol: TCP
  resources:
    requests:
      cpu: 300m
      memory: 64Mi
    limits:
      cpu: 500m
      memory: 512Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8012
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8012
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: chat-service
    type: ClusterIP
    port: 8012
    targetPort: 8012
    serviceMonitor:
      enabled: false
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      interval: 30s
      scrapeTimeout: ''
  ingresses: []
  configs:
    tz: UTC
    appName: chat
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8012
    mongodbName: freeleaps2
    mongodbPort: 27017
    emailFrom: freeleaps@freeleaps.com
    siteUrlRoot: https://freeleaps.com
    jwtAlgorithm: HS256
    rabbitmqHost: freeleaps-prod-rabbitmq-headless.freeleaps-prod.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    freeleapsDevsvcEndpoint: http://devsvc-service.freeleaps-prod.svc.freeleaps.cluster:8007/api/devsvc/
    freeleapsContentEndpoint: http://content-service.freeleaps-prod.svc.freeleaps.cluster:8013/api/content/
    freeleapsCentralStorageEndpoint: http://central-storage-service.freeleaps-prod.svc.freeleaps.cluster:8005/api/central_storage/
    freeleapsChatEndpoint: http://chat-service.freeleaps-prod.svc.freeleaps.cluster:8012/api/chat/
    freeleapsPaymentEndpoint: http://payment-service.freeleaps-prod.svc.freeleaps.cluster:8006/api/payment/
    freeleapsNotificationEndpoint: http://notification-service.freeleaps-prod.svc.freeleaps.cluster:8003/api/notification/
    freeleapsAilabEndpoint: ''
    freeleapsEnv: prod
    certPath: ''
    redisIsCluster: 'true'
    metricsEnabled: 'false'
    probesEnabled: 'true'
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-chat-prod-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: mongodbUri
      remoteRef:
        key: freeleaps-prod-mongodb-uri
        type: Secret
    - key: jwtSecretKey
      remoteRef:
        key: freeleaps-prod-jwt-secret-key
        type: Secret
    - key: stripeApiKey
      remoteRef:
        key: freeleaps-prod-stripe-api-key
        type: Secret
    - key: stripeWebhookSecret
      remoteRef:
        key: freeleaps-prod-stripe-webhook-secret
        type: Secret
    - key: stripeAccountWebhookSecret
      remoteRef:
        key: freeleaps-prod-stripe-account-webhook-secret
        type: Secret
    - key: stripeSubscriptionWebhookSecret
      remoteRef:
        key: freeleaps-prod-stripe-subscription-webhook-secret
        type: Secret
    - key: rabbitmqPassword
      remoteRef:
        key: freeleaps-prod-rabbitmq-password
        type: Secret
    - key: redisUrl
      remoteRef:
        key: freeleaps-prod-redis-url
        type: Secret
  vpa:
    minAllowed:
      enabled: true
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 300m
      memory: 512Mi
    controlledResources:
    - cpu
    - memory
